------------------------------------------------------------------------
r42785 | gerald | 2012-05-22 10:12:13 -0700 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk-1.6/config.nmake
   M /trunk-1.6/configure.in
   M /trunk-1.6/debian/changelog
   M /trunk-1.6/debian/wireshark-common.files
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/Makefile.am
   M /trunk-1.6/make-version.pl
   M /trunk-1.6/version.conf
   M /trunk-1.6/wiretap/Makefile.am

1.6.8 → 1.6.9.

------------------------------------------------------------------------
r42788 | gerald | 2012-05-22 11:47:19 -0700 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk-1.6/epan/Makefile.am
   A /trunk-1.6/tools/git-compare-abis.sh
   M /trunk-1.6/wiretap/Makefile.am

Copy over ABI checking code from the trunk.

------------------------------------------------------------------------
r42789 | gerald | 2012-05-22 13:26:16 -0700 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk-1.6/abi-descriptor.template

More ABI check backporting.

------------------------------------------------------------------------
r42815 | pascal | 2012-05-23 14:54:53 -0700 (Wed, 23 May 2012) | 11 lines
Changed paths:
   M /trunk-1.6/plugins/wimax/msg_dlmap.c
   M /trunk-1.6/plugins/wimax/msg_ulmap.c

Backported from trunk:

------------------------------------------------------------------------
r37890 | etxrab | 2011-07-04 16:57:12 +0200 (lun. 04 juil. 2011) | 4 lignes

From Kluchnikov Ivan:
Wrong length of items in wimax Compressed DL-MAP and UL-MAP.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6067
------------------------------------------------------------------------

------------------------------------------------------------------------
r42852 | morriss | 2012-05-25 08:54:19 -0700 (Fri, 25 May 2012) | 7 lines
Changed paths:
   M /trunk-1.6/aclocal-fallback/gtk-2.0.m4
   M /trunk-1.6/configure.in

Don't allow users to try to use GTK3 in the 1.6 trunk.

Also tell users that we're looking for GTK+ versions < 3.0 (backport of
r39699)

Based on https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7280

------------------------------------------------------------------------
r42858 | gerald | 2012-05-25 16:09:58 -0700 (Fri, 25 May 2012) | 2 lines
Changed paths:
   M /trunk-1.6/Makefile.nmake
   M /trunk-1.6/config.nmake
   M /trunk-1.6/packaging/nsis/Makefile.nmake
   M /trunk-1.6/packaging/nsis/wireshark.nsi
   M /trunk-1.6/tools/win32-setup.sh
   M /trunk-1.6/tools/win64-setup.sh

Use the OBS GTK+ bundle.

------------------------------------------------------------------------
r42863 | gerald | 2012-05-27 07:34:01 -0700 (Sun, 27 May 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-05-27]
------------------------------------------------------------------------
r42931 | gerald | 2012-05-30 14:50:57 -0700 (Wed, 30 May 2012) | 20 lines
Changed paths:
   M /trunk-1.6/epan/prefs.c

Copy over the prefs.c portion of r42930 so that the recently updated
GLib won't trigger bug 7265.

  ------------------------------------------------------------------------
  r42930 | gerald | 2012-05-30 14:42:24 -0700 (Wed, 30 May 2012) | 10 lines
  Changed paths:
     M /trunk/epan/prefs.c
     M /trunk/test/suite-capture.sh

  In recent versions of GLib (test with 2.32) g_log_default_handler
  helpfully ignores G_LOG_LEVEL_INFO and G_LOG_LEVEL_DEBUG messages by
  default. If the console_log_level preference includes either of those
  two levels set the G_MESSAGES_DEBUG environment variable so that those
  messages are printed.

  Add checks for various console log messages to the stdin capture suite.

  Fixes bug 7265.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r42934 | gerald | 2012-05-30 16:10:52 -0700 (Wed, 30 May 2012) | 3 lines
Changed paths:
   M /trunk-1.6/epan/prefs.c

Add some needed parenthesis as pointed out by Jakub and the OS X
builders.

------------------------------------------------------------------------
r42954 | gerald | 2012-05-31 16:34:40 -0700 (Thu, 31 May 2012) | 2 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml

Mention that you can get certification.

------------------------------------------------------------------------
r43021 | gerald | 2012-06-03 07:34:06 -0700 (Sun, 03 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-03]
------------------------------------------------------------------------
r43165 | gerald | 2012-06-08 14:23:25 -0700 (Fri, 08 Jun 2012) | 4 lines
Changed paths:
   M /trunk-1.6/epan/Makefile.am
   M /trunk-1.6/wiretap/Makefile.am
   M /trunk-1.6/wsutil/Makefile.am

Use separate commands in the dumpabi recipes instead a big huge long
chain. If abi-compliance-checker fails print the contents of its
log file.

------------------------------------------------------------------------
r43168 | gerald | 2012-06-08 15:43:50 -0700 (Fri, 08 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.6/epan/Makefile.am
   M /trunk-1.6/wiretap/Makefile.am
   M /trunk-1.6/wsutil/Makefile.am

Make sure ln happens in the right directory.

------------------------------------------------------------------------
r43260 | wmeier | 2012-06-14 11:20:13 -0700 (Thu, 14 Jun 2012) | 33 lines
Changed paths:
   M /trunk-1.6/epan/proto.c

Copy SVN #43150, #43184, #43186 (with some manual intervention) to 1.6 branch

------------------------------------------------------------------------
r43150 | wmeier | 2012-06-07 17:10:02 -0400 (Thu, 07 Jun 2012) | 11 lines

Don't crash in 'proto_registrar_dump_values' if BASE_EXT_STRING and no extended string.
Note: this shows up when doing 'tshark -G values'.

BASE_EXT_STRING with a missing extended string does *not* cause issues
with the normal display code:

ToDo (eventually): Add some code to enforce requirement that hf[] entries with BASE_EXT_STRING
(or BASE_RANGE_STRING) set must also have a 'strings' value.



------------------------------------------------------------------------
r43184 | wmeier | 2012-06-10 11:10:11 -0400 (Sun, 10 Jun 2012) | 5 lines

Fix bug wherein values in a custom column aren't displayed as a value_string (when appropriate).
Essentially: BASE_CUSTOM is "base_display_e value" (like BASE_DEC) *not* a bit-mask
 (like BASE_EXT_STRING).
Bug introduced in SVN #39902

------------------------------------------------------------------------
r43186 | wmeier | 2012-06-10 15:23:50 -0400 (Sun, 10 Jun 2012) | 3 lines

Fix "BASE_CUSTOM field is incorrectly formatted when applied as a column".
Resolves Bug #6671 - https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6671

------------------------------------------------------------------------


------------------------------------------------------------------------
r43309 | gerald | 2012-06-17 07:34:03 -0700 (Sun, 17 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf

[Automatic manuf, services and enterprise-numbers update for 2012-06-17]
------------------------------------------------------------------------
r43310 | gerald | 2012-06-17 08:04:26 -0700 (Sun, 17 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-17]
------------------------------------------------------------------------
r43454 | gerald | 2012-06-24 08:04:28 -0700 (Sun, 24 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-24]
------------------------------------------------------------------------
r43503 | guy | 2012-06-26 22:22:55 -0700 (Tue, 26 Jun 2012) | 12 lines
Changed paths:
   M /trunk-1.6/dumpcap.c

Copy over r43501 from the trunk:

  ------------------------------------------------------------------------
  r43501 | guy | 2012-06-26 22:13:06 -0700 (Tue, 26 Jun 2012) | 7 lines

  Don't supply a fallback error message for pcap_open() unless it actually
  fails.

  This may clear up the problem most recently reported in bug 7021 after
  the crash was fixed, where the capture starts successfully but an error
  dialog pops up.

------------------------------------------------------------------------
r43513 | wmeier | 2012-06-27 11:11:41 -0700 (Wed, 27 Jun 2012) | 17 lines
Changed paths:
   M /trunk-1.6/gtk/dfilter_expr_dlg.c

Copy r42301 & r43507 from trunk:

------------------------------------------------------------------------
r42301 | darkjames | 2012-04-27 16:35:17 -0400 (Fri, 27 Apr 2012) | 2 lines

Fix sigsegv in filter expression dialog when user clicked on some BASE_CUSTOM field.

------------------------------------------------------------------------
r43507 | wmeier | 2012-06-27 09:57:39 -0400 (Wed, 27 Jun 2012) | 7 lines

Fix for "predefined values sometimes missing in Display Filter Expression window.

See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7413

Essentially: BASE_CUSTOM was being used as a mask rather than a field value.
------------------------------------------------------------------------

------------------------------------------------------------------------
r43553 | gerald | 2012-07-01 08:04:29 -0700 (Sun, 01 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-01]
------------------------------------------------------------------------
r43613 | gerald | 2012-07-08 08:04:26 -0700 (Sun, 08 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-08]
------------------------------------------------------------------------
r43723 | gerald | 2012-07-15 08:04:31 -0700 (Sun, 15 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-15]
------------------------------------------------------------------------
r43843 | gerald | 2012-07-19 17:58:16 -0700 (Thu, 19 Jul 2012) | 17 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-ppp.c

Copy over r43784 from the trunk:

  ------------------------------------------------------------------------
  r43784 | rbalint | 2012-07-18 08:14:45 -0700 (Wed, 18 Jul 2012) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ppp.c

  Fix crash in PPP dissector

  Make sure that there is enough space allocated for PPP encapsulated CRTP
  packet's header.
  The bug can be triggered on an x86_64 system using the cpature file attached to
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680056
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r43867 | gerald | 2012-07-20 11:52:56 -0700 (Fri, 20 Jul 2012) | 134 lines
Changed paths:
   M /trunk-1.6/AUTHORS
   M /trunk-1.6/asn1/snmp/packet-snmp-template.c
   M /trunk-1.6/capture_sync.c
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-diameter.c
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c
   M /trunk-1.6/epan/dissectors/packet-mndp.c
   M /trunk-1.6/epan/dissectors/packet-radius.c
   M /trunk-1.6/epan/dissectors/packet-snmp.c
   M /trunk-1.6/epan/dissectors/packet-syslog.c
   M /trunk-1.6/epan/dissectors/packet-udp.c
   M /trunk-1.6/epan/dissectors/packet-vmlab.c
   M /trunk-1.6/epan/filesystem.c
   M /trunk-1.6/file.c
   M /trunk-1.6/file.h
   M /trunk-1.6/gtk/main.c
   M /trunk-1.6/gtk/main_statusbar.c
   M /trunk-1.6/radius/dictionary.3gpp
   M /trunk-1.6/rawshark.c
   M /trunk-1.6/wiretap/netscreen.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r42899 | darkjames | 2012-05-29 13:01:25 -0700 (Tue, 29 May 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-radius.c

  Fix bug #5735

  dissect_attribute_value_pairs() should be also called with NULL tree.
  Broken from r29964.
  ------------------------------------------------------------------------
  r43050 | wmeier | 2012-06-03 18:09:56 -0700 (Sun, 03 Jun 2012) | 17 lines
  Changed paths:
     M /trunk/radius/dictionary.3gpp

  From René Scheibe:

  "
  I just noticed when upgrading from 1.2.15 to 1.6.8 that the file
  dictionary.3gpp now contains an invalid entry. There is a typo (3GGP
  instead of 3GPP) and the decoding is incorrect too.

  wireshark:
  ATTRIBUTE   3GGP-IMEISV   20   octets

  freeradius:
  ATTRIBUTE   3GPP-IMEISV   20   string
  "

  http://www.wireshark.org/lists/wireshark-dev/201206/msg00021.html
  ------------------------------------------------------------------------
  r43139 | darkjames | 2012-06-06 12:59:55 -0700 (Wed, 06 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/wiretap/netscreen.c

  Fix bug #7340

  interface name can also contain hyphen (v1-untrust, v1-trust).
  ------------------------------------------------------------------------
  r43166 | morriss | 2012-06-08 15:23:11 -0700 (Fri, 08 Jun 2012) | 10 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-diameter.c

  Don't register 3 (IPAddress) hf's with the same abbreviation but with 3
  different types; instead use different abbreviations (filters).

  This is in order to prevent running into

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2402

  and seg-faulting when someone applies a filter of, for example,
  diameter.Framed-IP-Address .
  ------------------------------------------------------------------------
  r43174 | cmaynard | 2012-06-09 08:43:08 -0700 (Sat, 09 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-syslog.c

  Allow syslog to work with "Decode As" for TCP.
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5241
  ------------------------------------------------------------------------
  r43176 | cmaynard | 2012-06-09 10:08:46 -0700 (Sat, 09 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  Do not use BASE_NONE for FT_UINT8 types.
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7333 (I think).
  ------------------------------------------------------------------------
  r43178 | cmaynard | 2012-06-09 10:51:30 -0700 (Sat, 09 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-mndp.c

  Do not use BASE_NONE for FT_*INT* types.
  ------------------------------------------------------------------------
  r43179 | cmaynard | 2012-06-09 10:56:08 -0700 (Sat, 09 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-diameter.c
     M /trunk/epan/dissectors/packet-snmp.c
     M /trunk/epan/dissectors/packet-vmlab.c

  Do not use BASE_NONE for FT_*INT* types.
  ------------------------------------------------------------------------
  r43187 | cmaynard | 2012-06-10 12:43:40 -0700 (Sun, 10 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-udp.c

  Fix UDP-Lite checksum verification bug introduced with r40387 and reported by "answer" via http://ask.wireshark.org/questions/11798/is-udp-lite-checksum-correct-ipv6
  There is a difference between the UDP and UDP-Lite pseudo header that wasn't realized when r40387 was committed.  Details of the difference in http://tools.ietf.org/html/rfc3828#section-3.2
  ------------------------------------------------------------------------
  r43191 | cmaynard | 2012-06-10 17:53:23 -0700 (Sun, 10 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/AUTHORS

  Remove duplicate entry.
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r42764 | guy | 2012-05-21 20:52:12 -0700 (Mon, 21 May 2012) | 12 lines
  Changed paths:
     M /trunk/file.c
     M /trunk/file.h
     M /trunk/ui/gtk/main.c
     M /trunk/ui/gtk/main_statusbar.c
     M /trunk/ui/qt/wireshark_application.cpp

  The GUI's state machine requires that, when reloading a capture after a
  save, we post capture file callback events similar to the ones posted
  when reading a capture - otherwise, the reload will leave the welcome
  screen up.

  Rename cf_cb_file_save_reload_finished to cf_cb_file_reload_finished,
  add a cf_cb_file_reload_started callback, have them work similarly to
  read_finished and read_started except that the reload uses "Reloading"
  in the progress bar and status bar.

  Clean up some indentation while we're at it.
  ------------------------------------------------------------------------
  ------------------------------------------------------------------------
  r43172 | cmaynard | 2012-06-08 20:41:23 -0700 (Fri, 08 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/capture_sync.c
     M /trunk/epan/filesystem.c
     M /trunk/rawshark.c

  Be sure to specify FORMAT_MESSAGE_IGNORE_INSERTS in the dwFlags arg to all FormatMessage() calls where FORMAT_MESSAGE_FROM_SYSTEM is also specified.  (Ref: http://blogs.msdn.com/b/oldnewthing/archive/2007/11/28/6564257.aspx)
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43869 | gerald | 2012-07-20 12:31:41 -0700 (Fri, 20 Jul 2012) | 110 lines
Changed paths:
   M /trunk-1.6/Makefile.am
   M /trunk-1.6/asn1/snmp/packet-snmp-template.c
   M /trunk-1.6/doc/README.developer
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-ethertype.c
   M /trunk-1.6/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c
   M /trunk-1.6/epan/dissectors/packet-nfs.c
   M /trunk-1.6/epan/dissectors/packet-per.c
   M /trunk-1.6/epan/dissectors/packet-snmp.c
   M /trunk-1.6/epan/etypes.h
   M /trunk-1.6/epan/ftypes/ftype-double.c
   M /trunk-1.6/gtk/main_proto_draw.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43203 | pascal | 2012-06-11 06:54:06 -0700 (Mon, 11 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-per.c

  Use restricted character string decoding for IA5String type
  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6246
  ------------------------------------------------------------------------
  r43212 | darkjames | 2012-06-11 12:27:57 -0700 (Mon, 11 Jun 2012) | 4 lines
  Changed paths:
     M /trunk/epan/ftypes/ftype-double.c

  Fix bug 6917

  strtod() is locale-aware, change it to g_ascii_strtod()
  ------------------------------------------------------------------------
  r43214 | pascal | 2012-06-11 13:12:17 -0700 (Mon, 11 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

  From Alexander via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7360 :
  Service handover IE is not correctly dissected
  ------------------------------------------------------------------------
  r43224 | wmeier | 2012-06-12 06:03:05 -0700 (Tue, 12 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/doc/README.developer

  Note that calls to "expert" functions should not be under 'if (tree)'.
  ------------------------------------------------------------------------
  r43576 | darkjames | 2012-07-05 14:09:34 -0700 (Thu, 05 Jul 2012) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-nfs.c

  Fix bug #7436

  offset returned from dissect_nfs_open_claim4, dissect_nfs_openflag4 were different
  when we were building tree and where we didn't.
  Fix other similar cases.
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r43277 | darkjames | 2012-06-15 16:04:59 -0700 (Fri, 15 Jun 2012) | 5 lines
  Changed paths:
     M /trunk/ui/gtk/main_proto_draw.c

  highlight_field: use passed GtkTreeView for proto_tree_draw.

  highlight_field() is also called when we open packet in new window and we click some bytes,
  it caused redrawing packet details in *main window* but with protocol tree from (possibly) another frame.
  ------------------------------------------------------------------------
  r43556 | alagoutte | 2012-07-03 05:28:06 -0700 (Tue, 03 Jul 2012) | 10 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From report of Dennis Mendoza via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7429
  Wireshark > 1.4 does not correctly read Association ID for PS Poll packets

  Wireless Frame with subtype 0x1a don't interpret the Association ID (always 0).

  Fix :
  proto_tree_add_uint() wasn't changed to proto_tree_add_item()

  #BACKPORT
  ------------------------------------------------------------------------
  r43561 | guy | 2012-07-03 13:12:50 -0700 (Tue, 03 Jul 2012) | 18 lines
  Changed paths:
     M /trunk/Makefile.am

  As per Gentoo bug 423743

  	https://bugs.gentoo.org/show_bug.cgi?id=423743

  "The Makefile.am claims including GLIB_LIBS when linking wireshark is
  unnecessary, because wireshark links to GTK_LIBS which is a superset.
  It is not actually a superset: gmodule is included in GLIB_LIBS but
  not in GTK_LIBS (unless accidentally on older glibs/gtks)."

  so we must explicitly link with GLIB_LIBS.

  Update the comment to reflect that - and to reflect that GTK+ doesn't
  necessarily run atop X11 - while we're at it.

  Fixes bug 7427.

  #BACKPORT
  ------------------------------------------------------------------------
  r43648 | pascal | 2012-07-10 08:43:03 -0700 (Tue, 10 Jul 2012) | 3 lines
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-snmp.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7438 :
  Do not call tvb_ensure_length_remaining on an empty tvb
  ------------------------------------------------------------------------
  r43850 | jake | 2012-07-19 23:26:35 -0700 (Thu, 19 Jul 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ethertype.c
     M /trunk/epan/etypes.h

  Add some relevant ethertypes.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43886 | pascal | 2012-07-21 03:13:58 -0700 (Sat, 21 Jul 2012) | 10 lines
Changed paths:
   M /trunk-1.6/asn1/snmp/snmp.cnf
   M /trunk-1.6/epan/dissectors/packet-snmp.c

Copy over r43883 from trunk:

------------------------------------------------------------------------
r43883 | pascal | 2012-07-21 10:50:32 +0200 (sam. 21 juil. 2012) | 3 lignes

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7508 :
Display snmp.contextName as FT_STRING

------------------------------------------------------------------------

------------------------------------------------------------------------
r43913 | gerald | 2012-07-22 08:04:40 -0700 (Sun, 22 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-22]
------------------------------------------------------------------------
r43933 | gerald | 2012-07-23 09:23:47 -0700 (Mon, 23 Jul 2012) | 2 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml

Update the release notes.

------------------------------------------------------------------------
